
%global qt_module qtquickcontrols2

%define docs 1

%define prerelease beta

Name:    qt5-%{qt_module}
Summary: Qt5 - module with set of QtQuick controls for embedded
Version: 5.6.0
Release: 0.1.%{prerelease}%{?dist}

License: GPLv2+ or LGPLv3 and GFDL
Url:     http://www.qt.io
%if 0%{?prerelease:1}
Source0: http://download.qt.io/development_releases/qt/5.6/%{version}-%{prerelease}/submodules/%{qt_module}-opensource-src-%{version}-%{prerelease}.tar.gz
%else
Source0: http://download.qt.io/official_releases/qt/5.6/%{version}%{?prerelease:-%{prerelease}}/submodules/%{qt_module}-opensource-src-%{version}%{?prerelease:-%{prerelease}}.tar.gz
%endif

BuildRequires:  qt5-qtbase-devel >= %{version}
BuildRequires:  qt5-qtbase-static >= %{version}
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Declarative)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Core)

%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
%{?_qt5:Requires: qt5-qtdeclarative%{?_isa} = %{_qt5_version}}

%description
The Qt Labs Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

Unlike Qt Quick Controls, these controls are optimized for embedded systems
and so are preferred for hardware with limited resources.


%if 0%{?docs}
%package doc
Summary: API documentation for %{name}
License: GFDL
Requires: %{name} = %{version}-%{release}
BuildRequires: qt5-qdoc
BuildRequires: qt5-qhelpgenerator
BuildArch: noarch
%description doc
%{summary}.
%endif


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}
Requires: qt5-qtdeclarative-devel%{?_isa}
%description devel
%{summary}.


%package static
Summary: Static library files for %{name}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}
%description static
%{summary}.


%prep
%setup -q -n %{qt_module}-opensource-src-%{version}%{?prerelease:-%{prerelease}}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} ..

make %{?_smp_mflags}

%if 0%{?docs}
make %{?_smp_mflags} docs
%endif
popd


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

%if 0%{?docs}
make install_docs INSTALL_ROOT=%{buildroot} -C %{_target_platform}
%endif


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license LICENSE.FDL LICENSE.LGPLv3 LICENSE.GPLv3
%dir %{_qt5_archdatadir}/qml/Qt/labs/calendar/
%{_qt5_archdatadir}/qml/Qt/labs/calendar/*
%dir %{_qt5_archdatadir}/qml/Qt/labs/controls/
%{_qt5_archdatadir}/qml/Qt/labs/controls/*
%dir %{_qt5_archdatadir}/qml/Qt/labs/templates/
%{_qt5_archdatadir}/qml/Qt/labs/templates/*
%{_qt5_libdir}/libQt5LabsTemplates.so.5*

%if 0%{?docs}
%files doc
%license LICENSE.FDL LICENSE.LGPLv3 LICENSE.GPLv3
%dir %{_qt5_docdir}/qtlabscontrols/
%{_qt5_docdir}/qtlabscontrols/*
%{_qt5_docdir}/qtlabscontrols.qch
%endif

%files devel
%dir %{_qt5_headerdir}/QtLabsControls/
%{_qt5_headerdir}/QtLabsControls/*
%dir %{_qt5_headerdir}/QtLabsTemplates/
%{_qt5_headerdir}/QtLabsTemplates/*
%{_qt5_libdir}/libQt5LabsControls.prl
%{_qt5_libdir}/libQt5LabsTemplates.prl
%{_qt5_libdir}/libQt5LabsTemplates.so
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_labs*_private.pri

%files static
%{_qt5_libdir}/libQt5LabsControls.a


%changelog
* Fri Jan 15 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 5.6.0-0.1.beta
- Initial packaging
